Loading...
Searching...
No Matches
Sphere
Foundation Classes » Mathematics » Geometric objects

## Storers

typedef TSphere3< float > | BALL::Sphere3
template<typename T>
std::istream & | BALL::operator>> (std::istream &s, TSphere3< T > &sphere)
template<typename T>
std::ostream & | BALL::operator<< (std::ostream &s, const TSphere3< T > &sphere)

## Detailed Description

## Typedef Documentation

## Sphere3

typedef TSphere3<float> BALL::Sphere3

Default sphere type. If double precision is not needed, TSphere3<float> should be used. It is predefined as Sphere3 for convenience.

Definition at line 299 of file sphere3.h.

## Function Documentation

## operator<<()

template<typename T>

std::ostream & BALL::operator<< | ( | std::ostream & | s,
|  | const TSphere3< T > & | sphere )

Output Operator. Write the contents of p and radius to an output stream. The values are enclose in brackets.

  Example:

  ((0 1 1.5) 0.4)

Definition at line 286 of file sphere3.h.

## operator>>()

template<typename T>

std::istream & BALL::operator>> | ( | std::istream & | s,
|  | TSphere3< T > & | sphere )

Input operator. Reads in an instance of TVector3 and a T value : p, radius.

Definition at line 271 of file sphere3.h.